## ros-melodic-pr2eus-moveit 0.3.14

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2eus_moveit)
# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS pr2eus moveit_msgs control_msgs roseus)

# include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES std_msgs control_msgs moveit_msgs
# )

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
# TODO: fill in what other packages will need to use this package
catkin_package(
    DEPENDS
    CATKIN_DEPENDS pr2eus moveit_msgs control_msgs roseus
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

install(DIRECTORY euslisp tutorials
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  find_package(pr2_gazebo QUIET)
  if(pr2_gazebo_FOUND)
    add_rostest(test/test-pr2eus-moveit.test)
  else()
    message(WARNING "pr2_gazebo is not found. Skipping pr2eus_moveit tests")
  endif()
endif()

=== debian/changelog ===
ros-melodic-pr2eus-moveit (0.3.14-3stretch) stretch; urgency=high

  * fix typo and add pr2-init in pr2eus-moveit.l for PR2 + moveit (#382 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/382> )
    
      * add moveit pr2-init in pr2eus-moveit.l
        redefine original pr2-init -> pr2-init-org
      * fix parenthesis close in pr2eus-moveit.l
    
  * Fix velocity time scaling (#377 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/377> )
    
      * Fix scaling of multi dof joint trajectory
      * scale accelerations in :trajectory-filter
      * fix velocity time scaling
      * Add test for time scaling of vel and acc in :trajectory-filter
    
  * Fix :angle-vector-make-trajectory to ignore start-offset-time (#365 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/365> )
    
      * Remove first point of new traj if it overlaps with existing traj.
        Without this fix, traj points having the same time_from_start appear.
        This may harm joint trajectory action server.
      * Use exact time_from_start to pass test
      * Fix :angle-vector-make-trajectory to ignore start-offset-time
      * Reduce start-offset-time to speed up tests
      * Use init-pose instead of reset-manip-pose to speed up test-angle-vector-sequence-motion-plan
      * Loosen time limit of new test
      * Add test for start-offset-time with avs
    
  * Fix time_from_start in motion-planned angle-vector-sequence (#363 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/363> )
    
      * Update robot in *ri* in 1st loop
      * Set time_from_start correctly in :angle-vector-make-trajectory
        Previously, traj points for second av started from zero time_from_start
      * Add equal to sort in test to avoid error
      * Add test for concatenation in :angle-vector-make-trajectory
    
  * Fix :trajectory-filter to ignore start-offset-time (#361 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/361> )
    
      * Remove start-offset-time from passing args
      * Fix :trajectory-filter to ignore start-offset-time
      * Add test for start-offset-time
    
  * pr2eus_moveit: support motion with mobile base (#357 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/357> )
    
      * reset-total-time is used only when trajectory is short
        See https://github.com/jsk-ros-pkg/jsk_pr2eus/blob/0.3.13/pr2eus_moveit/euslisp/robot-moveit.l#L539-L544
      * Don't skip :trajectory-filter as before
        So far, this has been realized by an odd way
        (https://github.com/jsk-ros-pkg/jsk_pr2eus/commit/ca27e9d8dbe765b1879daf9ccd80e09c81674ab1)
      * pr2eus_moveit: run test only when pr2_gazebo is available
      * pr2eus_moveit: support planning with base movement
    
  * run everything within jenkins (#340 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/340>)
    
      * explictly set DISPLAY="" for roseus test
      * re-define :joint-angle to avoid print violate max/min-angle that exceeds 4M log limit
      * test-pr2eus-moveit.l: not sure why, but sometimes utf-8 code is displayed and brakes catkin build
      * set time-limit for pr2-ri-test to 600
      * .travis.yml: run everything within travis
      * install pr2-arm-kinematics for indigo
    
  * Use service call for collision-object-publisher (#324 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/324>)
    
      * operate attached_collision_object by service call
      * refactor codes in collision-object-publisher
    
  * Contributors: Affonso Guilherme, Kei Okada, Shingo Kitagawa, Shun Hasegawa, Yuki Furuta

 -- YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 11 Feb 2019 00:00:00 -0000

ros-melodic-pr2eus-moveit (0.3.13-3stretch) stretch; urgency=high

  * [pr2eus_moveit] add 0.5 seconds sleep after collision object pub (#315 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/315>)
    * add comment why we need unix:sleep
    * add 0.5 seconds sleep after collision object pub
  * add test for https://github.com/jsk-ros-pkg/jsk_pr2eus/pull/310#issuecomment-314694668 (#312 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/312> )
    * test/test-pr2eus-moveit.l, add test-moveit-fastest-trajectory, ensure that :angle-vector-motion-plan will not send faster motion then moveit planned motion
    * display both scaled trajectory time and actual time_to_start time
    * robot-moveit.l : set default start-offset-time to 0, not to skip :trajectory-filter
    * robot-moveit.l, fix debug info (/ total-time 1000) -> (/ total-time 1000.0)
  * Revert #310 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/310> "[pr2eus_moveit] fix typo in total-time condition" (#314 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/314> )
  * Contributors: Kei Okada, Shingo Kitagawa

 -- YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Fri, 14 Jul 2017 00:00:00 -0000

ros-melodic-pr2eus-moveit (0.3.12-3stretch) stretch; urgency=high

  * robot-interface.l: send angle-vector only once, some controller-table had multiple definition for one method, we ignore them (#308 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/308>)
    * test/test-pr2eus-moveit.test only runs on indigo
    * fix when two controller has same action instance
    * add dummy controller for #308 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/308>
    * send angle-vector only once, some controller-table had multiple definition for one method, we ignore them
  * [pr2eus_moveit] fix bug in angle-vector-motion-plan (#309 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/309>)
    * fix bug in angle-vector-motion-plan error occur when (length controller-actions) != (length (send self ctype))this case happens when you init robot-interface with :default-controller, but send av with :rarm-controller.
  * [pr2eus_moveit] fix typo in total-time condition (#310 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/310>)
  * [pr2eus_moveit] fix typo in robot-moveit.l (#306 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/306> )
    * [(:angle-vector-motion-plan] controller-type -> ctype


=== debian/control ===
Source: ros-melodic-pr2eus-moveit
Section: misc
Priority: extra
Maintainer: YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-moveit-msgs, ros-melodic-moveit-planners-ompl, ros-melodic-pr2-gazebo, ros-melodic-pr2-moveit-config, ros-melodic-pr2-moveit-plugins, ros-melodic-pr2eus, ros-melodic-roseus, ros-melodic-rostest
Homepage: http://ros.org/wiki/pr2eus_moveit
Standards-Version: 3.9.2

Package: ros-melodic-pr2eus-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-control-msgs, ros-melodic-moveit-msgs, ros-melodic-pr2eus, ros-melodic-roseus
Description: pr2eus_moveit

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pr2eus-moveit//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
